FUNCTION::PROC_MEM_S(3stap)

NAME
function::proc_mem_size - Total program virtual memory size in pages

SYNOPSIS

1) proc_mem_size:long()

2) proc_mem_size:long(pid:long)

ARGUMENTS

pid
    The pid of process to examine

DESCRIPTION

1) Returns the total virtual memory size in pages of the current process, or zero when there is no current process or the number of pages couldn't be retrieved.

2) Returns the total virtual memory size in pages of the given process, or zero when that process doesn't exist or the number of pages couldn't be retrieved.

SEE ALSO
tapset::proc_mem(3stap)